Get boarding status
curl --request GET \
--url https://{your-base-url}/v1/boarding/{boardingId} \
--header 'Authorization: Bearer <token>' \
--header 'x-acquirer-id: <x-acquirer-id>'import requests
url = "https://{your-base-url}/v1/boarding/{boardingId}"
headers = {
"x-acquirer-id": "<x-acquirer-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-acquirer-id': '<x-acquirer-id>', Authorization: 'Bearer <token>'}
};
fetch('https://{your-base-url}/v1/boarding/{boardingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{your-base-url}/v1/boarding/{boardingId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-acquirer-id: <x-acquirer-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{your-base-url}/v1/boarding/{boardingId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-acquirer-id", "<x-acquirer-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{your-base-url}/v1/boarding/{boardingId}")
.header("x-acquirer-id", "<x-acquirer-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{your-base-url}/v1/boarding/{boardingId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-acquirer-id"] = '<x-acquirer-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"boardingId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"status": "PENDING",
"submittedAt": "2023-10-15T14:30:45.123Z",
"batchSummary": {
"total": 5,
"completed": 5,
"errors": 5,
"warnings": 5
},
"completedAt": "2023-10-15T14:30:45.123Z"
}{
"boardingId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"status": "PENDING",
"submittedAt": "2023-10-15T14:30:45.123Z"
}{
"status": "ERROR",
"submittedAt": "2023-10-15T14:30:45.123Z",
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "The provided location ID format is invalid",
"title": "Invalid Input"
}
]
}{
"status": "ERROR",
"submittedAt": "2023-10-15T14:30:45.123Z",
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "The provided location ID format is invalid",
"title": "Invalid Input"
}
]
}Boarding API
Get boarding status
Retrieves the status of a boarding batch
Get boarding status
curl --request GET \
--url https://{your-base-url}/v1/boarding/{boardingId} \
--header 'Authorization: Bearer <token>' \
--header 'x-acquirer-id: <x-acquirer-id>'import requests
url = "https://{your-base-url}/v1/boarding/{boardingId}"
headers = {
"x-acquirer-id": "<x-acquirer-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-acquirer-id': '<x-acquirer-id>', Authorization: 'Bearer <token>'}
};
fetch('https://{your-base-url}/v1/boarding/{boardingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{your-base-url}/v1/boarding/{boardingId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-acquirer-id: <x-acquirer-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{your-base-url}/v1/boarding/{boardingId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-acquirer-id", "<x-acquirer-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{your-base-url}/v1/boarding/{boardingId}")
.header("x-acquirer-id", "<x-acquirer-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{your-base-url}/v1/boarding/{boardingId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-acquirer-id"] = '<x-acquirer-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"boardingId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"status": "PENDING",
"submittedAt": "2023-10-15T14:30:45.123Z",
"batchSummary": {
"total": 5,
"completed": 5,
"errors": 5,
"warnings": 5
},
"completedAt": "2023-10-15T14:30:45.123Z"
}{
"boardingId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"status": "PENDING",
"submittedAt": "2023-10-15T14:30:45.123Z"
}{
"status": "ERROR",
"submittedAt": "2023-10-15T14:30:45.123Z",
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "The provided location ID format is invalid",
"title": "Invalid Input"
}
]
}{
"status": "ERROR",
"submittedAt": "2023-10-15T14:30:45.123Z",
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "The provided location ID format is invalid",
"title": "Invalid Input"
}
]
}Authorizations
Response
OK
